Summary:	A lightweight dhcp and caching nameserver
Summary(de):	Leichter DHCP und Namenserver Speicher
Name:		dnsmasq
Version:	2.75
Release:	%mkrel 1
License:	GPLv2 or GPLv3
Group:		System/Servers
URL:		http://www.thekelleys.org.uk/dnsmasq
Conflicts:	bind
Source0:	http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.xz
BuildRequires:	dbus-devel
Source1:	dnsmasq.sysconfig
Source2:	dnsmasq.init
Requires:	%{name}-base = %{version}-%{release}
Requires(preun):	rpm-helper
Requires(post):	rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

#german
%description -l de
DNSmasq ist leichter, einfach zu konfigurierender DNS-Forwarder und DHCP-Server.
Es wurde entwickelt, um DNS und optional DHCP in einem kleinen Netzwerk 
bereitzustellen.


%package	base
Summary:	A lightweight dhcp and caching nameserver - base files without init scripts
Summary(de):	Leichter DHCP und Namenserver Speicher - Basissateien ohne INIT Skripte
Group:		System/Servers

%description	base
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

This package contains the base files of the Dnsmasq server, without the init
scripts and global configuration files.

#german
%description	base -l de
DNSmasq ist leichter, einfach zu konfigurierender DNS-Forwarder und DHCP-Server.
Es wurde entwickelt, um DNS und optional DHCP in einem kleinen Netzwerk 
bereitzustellen.

Beinhaltet die Basisdateien ohne INIT Scripte und globale Konfigurationsdateien.

%prep
%setup -q

%build
#(tpg) enable dbus support
sed -i 's|/\* #define HAVE_DBUS \*/|#define HAVE_DBUS|g' src/config.h

%serverbuild
%make

%install
rm -rf %{buildroot}
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/%{name}
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}

install -m644 dnsmasq.conf.example -D %{buildroot}%{_sysconfdir}/dnsmasq.conf

install -m755 -D src/dnsmasq %{buildroot}%{_sbindir}/dnsmasq
#ln -sf ../../%{_initrddir}/%{name} %{buildroot}/%{_sbindir}/rcdnsmasq
install -m644 man/dnsmasq.8 -D %{buildroot}%{_mandir}/man8/dnsmasq.8


%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files base
%doc CHANGELOG FAQ doc.html setup.html
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*


%changelog
* Fri Apr 22 2016 bb <bb> 2.75-1pclos2016
- update

* Thu Sep 27 2012 Ken <lxgator at gmail dot com> 2.63-1pclos2012
- 2.63

* Tue Jul 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.62-1pclos2012
- 2.61
- littel fix of german translations


